
From: Rajesh Shah <rajesh.shah@intel.com>

Read bridge io/mem/pfmem ranges when fixing up the bus so that bus resources
are tracked.  This is required to properly support pci end device and bridge
hotplug.

Signed-off-by: Rajesh Shah <rajesh.shah@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ia64/pci/pci.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN arch/ia64/pci/pci.c~acpi-bridge-hotadd-read-bridge-resources-when-fixing-up-the-bus arch/ia64/pci/pci.c
--- 25/arch/ia64/pci/pci.c~acpi-bridge-hotadd-read-bridge-resources-when-fixing-up-the-bus	2005-04-28 00:24:30.591227904 -0700
+++ 25-akpm/arch/ia64/pci/pci.c	2005-04-28 00:24:30.594227448 -0700
@@ -436,6 +436,10 @@ pcibios_fixup_bus (struct pci_bus *b)
 {
 	struct pci_dev *dev;
 
+	if (b->self) {
+		pci_read_bridge_bases(b);
+		pcibios_fixup_device_resources(b->self);
+	}
 	list_for_each_entry(dev, &b->devices, bus_list)
 		pcibios_fixup_device_resources(dev);
 
_
